# TransactionProgress

## Usage <a href="#usage" id="usage"></a>

```jsx
function App() {
  const [visible, setVisible] = useState(false)
  const opener = useRef()

  return (
    <div>
      <div ref={opener}>
        <Button onClick={() => setVisible(true)}>Check transaction</Button>
      </div>
      <TransactionProgress
        transactionHashUrl="https://etherscan.io/tx/0x5c50…2060"
        progress={0.3}
        visible={visible}
        endTime={new Date(Date.now() + 100000)}
        onClose={() => setVisible(false)}
        opener={opener}
        slow
      />
    </div>
  )
}
```

## Demonstration

![](/files/dPPW47vBXW7RYbXSNu8q)

## Props <a href="#props" id="props"></a>

#### `transactionHash` <a href="#transactionhash" id="transactionhash"></a>

* Type: `String`

Hash of transaction which will be opened on Etherscan.

#### `progress` <a href="#progress" id="progress"></a>

* Type: `number`

Progress of transaction.

#### `endTime` <a href="#endtime" id="endtime"></a>

* Type: `Date` object

Estimated end time of transaction.

#### `slow` <a href="#slow" id="slow"></a>

* Type: `Bool`
* Default: `false`

Set to true to inform the user that a transaction is taking longer than expected.

#### `handleClose` <a href="#handleclose" id="handleclose"></a>

* Type: `Function`

Provide a function that handles closing of the component.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragonui/structure/transactionprogress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
